package com.mortals.xhx.module.business.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
import com.mortals.xhx.module.business.service.BusinessMatterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 业务事项关联
 *
 * @author zxfei
 * @date 2022-01-12
 */
@RestController
@RequestMapping("business/matter")
public class BusinessMatterController extends BasePhpCRUDJsonMappingController<BusinessMatterService, BusinessMatterForm, BusinessMatterEntity, Long> {

    @Autowired
    private ParamService paramService;

    public BusinessMatterController() {
        super.setFormClass(BusinessMatterForm.class);
        super.setModuleDesc("业务事项关联");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}